<?php

namespace App\Entities\Customer;

use App\Models\Customer\PointModel;

class PointEntity extends CustomerEntity
{
    const PK = PointModel::PK;
    const TITLE = PointModel::TITLE;
    const DEFAULT_STATUS = STATUS['DEPOSIT'];
    final public function getUserUID(): int|null
    {
        return $this->attributes['user_uid'];
    }
    final public function  getClientInfoUID(): int|null
    {
        return $this->attributes['clientinfo_uid'] ?? null;
    }
    //기본기능
    public function getContent(): string|null
    {
        return $this->attributes['content'] ?? null;
    }
}
